This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 969823 - Review Request: nodejs-moment - Parse, manipulate and display dates
Review Request: nodejs-moment - Parse, manipulate and display dates
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: T.C. Hollingsworth
Fedora Extras Quality Assurance
:
: 1085875 (view as bug list)
Depends On: 977122 977123 977124 977125 977127 977128
Blocks: nodejs-reviews 911022
  Show dependency treegraph
 
Reported: 2013-06-02 11:12 EDT by Jamie Nguyen
Modified: 2014-04-17 17:37 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-17 17:37:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tchollingsworth: fedora‑review+
petersen: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jamie Nguyen 2013-06-02 11:12:00 EDT
Spec URL: http://jamielinux.fedorapeople.org/buddycloud-server/nodejs-moment.spec
SRPM URL: http://jamielinux.fedorapeople.org/buddycloud-server/SRPMS/nodejs-moment-2.0.0-1.fc19.src.rpm
Fedora Account System Username: jamielinux

Description:
Parse, manipulate and display dates
Comment 1 T.C. Hollingsworth 2013-06-05 00:30:30 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

Status: NEEDS WORK

===== Issues =====

[!]: This package contains compiled or minifed JavaScript source.

     Fedora's packaging guidelines require that these be rebuilt from source:
     https://fedoraproject.org/wiki/Packaging:Guidelines#No_inclusion_of_pre-built_binaries_or_libraries

      Let me know if you need help with this, coffee-script is kind of in
      a similar situation.

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
     
        OK: MIT in LICENSE
     
[x]: Package contains no bundled libraries without FPC exception.
        no node_modules dir
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
        nodejs macros used
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 20480 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.

        % npm -q view moment version
        2.0.0

[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-moment-2.0.0-1.fc20.noarch.rpm
nodejs-moment.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

OK


Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-moment
nodejs-moment.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'

OK

Requires
--------
nodejs-moment (rpmlib, GLIBC filtered):
    nodejs(engine)

OK

Provides
--------
nodejs-moment:
    nodejs-moment
    npm(moment)

OK

Source checksums
----------------
http://registry.npmjs.org/moment/-/moment-2.0.0.tgz :
  CHECKSUM(SHA256) this package     : 9dfd4e4d0c89ccf320c12eb729892e018840e03703e75440d6785c745ea51014
  CHECKSUM(SHA256) upstream package : 9dfd4e4d0c89ccf320c12eb729892e018840e03703e75440d6785c745ea51014

OK

Generated by fedora-review 0.4.0 (eaf16cd) last change: 2013-05-30
Buildroot used: fedora-rawhide-vanilla-x86_64
Command line :./try-fedora-review -b969823
Comment 2 Jamie Nguyen 2014-04-13 13:38:01 EDT
Spec URL: http://jamielinux.fedorapeople.org/nodejs/nodejs-moment.spec
SRPM URL: http://jamielinux.fedorapeople.org/nodejs/SRPMS/nodejs-moment-2.6.0-1.fc21.src.rpm

* Sun Apr 13 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.6.0-1
- update to upstream release 2.6.0
- use Grunt to build minified sources
Comment 3 Jamie Nguyen 2014-04-13 13:38:08 EDT
*** Bug 1085875 has been marked as a duplicate of this bug. ***
Comment 4 T.C. Hollingsworth 2014-04-13 21:53:31 EDT
APPROVED, almost a year later.  :-p
Comment 5 Jamie Nguyen 2014-04-16 12:42:43 EDT
New Package SCM Request
=======================
Package Name: nodejs-moment
Short Description: Parse, manipulate and display dates
Owners: jamielinux patches
Branches: 
InitialCC:
Comment 6 Jens Petersen 2014-04-17 00:58:53 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.